Bug 436650 - RTNL: assertion failed at net/mac80211/key.c (272)
RTNL: assertion failed at net/mac80211/key.c (272)
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: John W. Linville
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-03-08 15:09 EST by Bill Nottingham
Modified: 2014-03-16 23:12 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-03-13 11:18:08 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bill Nottingham 2008-03-08 15:09:11 EST
Description of problem:

wlan0: No ProbeResp from current AP 00:13:10:a6:40:59 - assume out of range
RTNL: assertion failed at net/mac80211/key.c (272)
Pid: 11968, comm: iwl3945 Not tainted 2.6.25-0.95.rc4.fc9 #1

Call Trace:
 [<ffffffff881444a4>] :mac80211:ieee80211_key_free+0x39/0xab
 [<ffffffff88133efe>] :mac80211:sta_info_free+0x98/0x13e
 [<ffffffff8813a88a>] :mac80211:ieee80211_associated+0xd3/0x199
 [<ffffffff8813af3e>] :mac80211:ieee80211_rx_mgmt_assoc_resp+0x5ee/0x600
 [<ffffffff81216556>] ? __kfree_skb+0x74/0x78
 [<ffffffff8813b6a9>] :mac80211:ieee80211_sta_work+0x759/0x1826
 [<ffffffff8104ac40>] ? hrtimer_start+0x122/0x134
 [<ffffffff81051e95>] ? lock_release_holdtime+0x1e/0x108
 [<ffffffff812a1385>] ? _spin_unlock_irqrestore+0x3f/0x47
 [<ffffffff81053957>] ? trace_hardirqs_on+0xf1/0x115
 [<ffffffff81012106>] ? native_sched_clock+0x50/0x6d
 [<ffffffff81012106>] ? native_sched_clock+0x50/0x6d
 [<ffffffff81012106>] ? native_sched_clock+0x50/0x6d
 [<ffffffff812a1341>] ? _spin_unlock_irq+0x2b/0x30
 [<ffffffff810442d8>] run_workqueue+0xfc/0x203
 [<ffffffff8813af50>] ? :mac80211:ieee80211_sta_work+0x0/0x1826
 [<ffffffff810444bf>] worker_thread+0xe0/0xf1
 [<ffffffff81047d9f>] ? autoremove_wake_function+0x0/0x38
 [<ffffffff810443df>] ? worker_thread+0x0/0xf1
 [<ffffffff81047a87>] kthread+0x49/0x76
 [<ffffffff8100cf78>] child_rip+0xa/0x12
 [<ffffffff8100c68f>] ? restore_args+0x0/0x30
 [<ffffffff81047a3e>] ? kthread+0x0/0x76
 [<ffffffff8100cf6e>] ? child_rip+0x0/0x12

Happens when using WPA-PSK on iwl3945.

Version-Release number of selected component (if applicable):

kernel-2.6.25-0.95.rc4.fc9.x86_64
Comment 1 John W. Linville 2008-03-11 13:49:33 EDT
Can you recreate this issue using a later kernel?

   http://koji.fedoraproject.org/koji/buildinfo?buildID=42458
Comment 2 Bill Nottingham 2008-03-11 23:38:21 EDT
So far it hasn't happened with 2.6.25-0.105.rc5.fc9

Note You need to log in before you can comment on or make changes to this bug.